package com.udapsoft.modular.web.template;

import com.udapsoft.modular.core.exception.ModularException;

public class TemplateGenerateException extends ModularException {
	private static final long serialVersionUID = -2856982637714523913L;
	private static final String DEFAULT_ERROR_MESSAGE = "템플릿으로 결과 생성 중 오류가 발생하였습니다.";

	public TemplateGenerateException() {
		super("템플릿으로 결과 생성 중 오류가 발생하였습니다.");
	}

	public TemplateGenerateException(String message) {
		super(message);
	}

	public TemplateGenerateException(Throwable t) {
		super("템플릿으로 결과 생성 중 오류가 발생하였습니다.", t);
	}

	public TemplateGenerateException(String message, Throwable t) {
		super(message, t);
	}
}
